
Redmine - Defect #7582

hiding form pages from search engines

2011-02-09 08:20 - Yuki Sonoda

Status: Closed Start date: 2011-02-09

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version: 1.1.1

Description

Form pages like /issues/new are not worth to be indexed by search engines.  And moreover it is sometimes confusing for visitors

from search engine.  When you have a question about redmine and you search about it,  what can you do if /issues/new appears?

It happens when these form pages are opened for anonymous user.  It actually happened at redmine.ruby-lang.org once.  So I wrote

the attached patch. This patch adds a meta element as follows in some pages:

<meta name="ROBOTS" content="NOINDEX,FOLLOW,NOARCHIVE" />

Related issues:

Related to Redmine - Defect #6734: robots.txt: disallow crawling issues list ... Closed 2010-10-24

Associated revisions

Revision 5443 - 2011-04-12 21:22 - Jean-Philippe Lang

Adds noindex,noarchive robots meta tag on form pages (#7582).

History

#1 - 2011-02-12 15:25 - Jean-Baptiste Barth

- Status changed from New to 7

- Assignee set to Jean-Baptiste Barth

- Affected version (unused) set to 1.1.1

- Affected version set to 1.1.1

Makes sense to me. I saw some people use it uppercase, other lowercase. Do you know if there is any difference ? (I don't care about standards

here, but some exotic search engines may have bots with exotic implementations..)

#2 - 2011-03-13 17:18 - Jean-Philippe Lang

- Target version set to 1.2.0

#3 - 2011-03-16 22:26 - Ве Fio

Related to #6734 (check note-9). Issue #6734 could be solved with this issue as well, since the code required is basically what's needed.

#4 - 2011-04-12 21:23 - Jean-Philippe Lang

- Status changed from 7 to Closed

- Resolution set to Fixed

Patch committed in r5443. It was lowercase'd for consistency with other head tags.

Files

robot_exclusion.patch 2.01 KB 2011-02-09 Yuki Sonoda
